Subject: Re: [netmod] YANG library update and new YANG guideline issue

From: Balazs Lengyel <[email-masked]>
Date: Fri, 22 Jul 2016 14:30:10 +0200

+1 for no unneeded containers.

I also see a reason to keep instance-identifiers short (sometimes
read by the operator) so extra containers without a reason are not
wanted.

Balazs

On 2016-06-09 23:17, Alex Campbell
wrote:

My preference is not to add schema nodes that are not useful.

If it is foreseen that other nodes will be added in the
container then the container is fine; otherwise I see no reason
to have one.

From:
netmod <[email-masked]> on behalf of Andy
Bierman <[email-masked]>

Sent: Thursday, 9 June 2016 12:25 p.m.

To: [email-masked]

Subject: [netmod] YANG library update and new YANG
guideline issue

Hi,

We have been asked to make the YANG library module
consistent

wrt/ use of a container parent for a list.  We decided
to remove the

submodules container parent from the child submodule.

The submodule list and deviation list will now be
consistent.

Benoit has asked for a YANG guideline in rfc6087bis on
this issue.

I added the issue with an example to github

https://github.com/netmod-wg/rfc6087bis/issues/35

Please comment if you prefer

(A) guideline is be consistent throughout module
(whichever choice)

(B) guideline is for use of a container parent

(C) guideline is to not use a container parent

(D) something else

thanks,

Andy, Martin, and Kent

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod

--
Balazs Lengyel Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909 email: [email-masked]